com.independentsoft.exchange

## Enum ElcFolderType

- java.lang.Object
- - java.lang.Enum<ElcFolderType>
  - - com.independentsoft.exchange.ElcFolderType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ElcFolderType>

      public enum ElcFolderType
      extends java.lang.Enum<ElcFolderType>

  The Enum ElcFolderType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `CALENDAR`
    `CONTACTS`
    `CONVERSATION_HISTORY`
    `DELETED_ITEMS`
    `DRAFTS`
    `INBOX`
    `JOURNAL`
    `JUNK_EMAIL`
    `MANAGED_CUSTOM_FOLDER`
    `NON_IPM_ROOT`
    `NOTES`
    `OUTBOX`
    `PERSONAL`
    `RECOVERABLE_ITEMS`
    `RSS_SUBSCRIPTIONS`
    `SENT_ITEMS`
    `SYNC_ISSUES`
    `TASKS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ElcFolderType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ElcFolderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CALENDAR

          public static final ElcFolderType CALENDAR

    - #### CONTACTS

          public static final ElcFolderType CONTACTS

    - #### DELETED_ITEMS

          public static final ElcFolderType DELETED_ITEMS

    - #### DRAFTS

          public static final ElcFolderType DRAFTS

    - #### INBOX

          public static final ElcFolderType INBOX

    - #### JUNK_EMAIL

          public static final ElcFolderType JUNK_EMAIL

    - #### JOURNAL

          public static final ElcFolderType JOURNAL

    - #### NOTES

          public static final ElcFolderType NOTES

    - #### OUTBOX

          public static final ElcFolderType OUTBOX

    - #### SENT_ITEMS

          public static final ElcFolderType SENT_ITEMS

    - #### TASKS

          public static final ElcFolderType TASKS

    - #### ALL

          public static final ElcFolderType ALL

    - #### MANAGED_CUSTOM_FOLDER

          public static final ElcFolderType MANAGED_CUSTOM_FOLDER

    - #### RSS_SUBSCRIPTIONS

          public static final ElcFolderType RSS_SUBSCRIPTIONS

    - #### SYNC_ISSUES

          public static final ElcFolderType SYNC_ISSUES

    - #### CONVERSATION_HISTORY

          public static final ElcFolderType CONVERSATION_HISTORY

    - #### PERSONAL

          public static final ElcFolderType PERSONAL

    - #### RECOVERABLE_ITEMS

          public static final ElcFolderType RECOVERABLE_ITEMS

    - #### NON_IPM_ROOT

          public static final ElcFolderType NON_IPM_ROOT

  - ### Method Detail

    - #### values

          public static ElcFolderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ElcFolderType c : ElcFolderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ElcFolderType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null